"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askGenesisCredentials = exports.genesisCredentials = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const validators_1 = require("../validators");
exports.genesisCredentials = [
    {
        name: 'username',
        type: 'input',
        message: 'Genesis LCAP username or e-mail',
        validate: validators_1.githubUsernameOrEmail,
    },
    {
        name: 'password',
        type: 'password',
        message: 'Genesis LCAP password',
        validate: validators_1.password,
    },
];
const askGenesisCredentials = () => inquirer_1.default.prompt(exports.genesisCredentials);
exports.askGenesisCredentials = askGenesisCredentials;
