"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureLocal = exports.configureRemote = exports.getSeedConfigFile = exports.genxrcPath = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const errors_1 = require("../errors");
const utils_1 = require("../utils");
exports.genxrcPath = '.genx/.genxrc.js';
const getSeedConfigFile = (directory) => {
    try {
        return require(path_1.default.join(directory, exports.genxrcPath));
    }
    catch (error) {
        (0, errors_1.errorHandler)(error);
    }
};
exports.getSeedConfigFile = getSeedConfigFile;
const configureRemote = (answers, { directory }, plop) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    try {
        const configFile = (0, exports.getSeedConfigFile)(directory);
        const configure = configFile.configure();
        const { jfrogUsername, jfrogToken, jfrogTokenExpiry, jfrogTokenType } = answers, answersWithoutCredentials = tslib_1.__rest(answers, ["jfrogUsername", "jfrogToken", "jfrogTokenExpiry", "jfrogTokenType"]);
        configure(Object.assign({ directory }, answersWithoutCredentials), (0, utils_1.getSeedConfigurationUtils)(plop));
    }
    catch (error) {
        (0, errors_1.errorHandler)(error);
    }
});
exports.configureRemote = configureRemote;
const configureLocal = (answers, config, plop) => tslib_1.__awaiter(void 0, void 0, void 0, function* () { return (0, exports.configureRemote)(answers, config, plop); });
exports.configureLocal = configureLocal;
